## org.apache.mahout.classifier.sgd
Class TestNewsGroups

    java.lang.Object
      org.apache.mahout.classifier.sgd.TestNewsGroups

    public final class TestNewsGroups

extends Object

Run the 20 news groups test data through SGD, as trained by `TrainNewsGroups`.

Method Summary
`static void` `main(String[] args)`
`void` `run(PrintWriter output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

### run

    public void run(PrintWriter output)
             throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.